Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008024TestLinkBug Tracking System - Redmine Integrationpublic2017-07-14 11:162017-07-17 08:55
Reporterns 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformMacOSSierraOS Version10.12.5
Product Version1.9.16 (2016 Q4) 
Fixed in Version 
Summary0008024: Bug Management missing in test execution
DescriptionBug management icon is missing in the test execution feature where failed test cases cannot be integrated with the bug tracking tool.

Even though the Testlink instance has a successful integration with a defect tracking tool(Redmine, in my case), since the icon is missing, it is not possible to link failed tests with bug tracking tools.
Steps To Reproduce1. Under the Test Execution pane, go to "Execute test cases"
2. Select the test case added under a valid test suite and scroll down the page to see the Results section and mark the test case as failed
3. Notice that nowhere in the page the bug management tool icon of a "sprocket/cog" is displayed.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.6.35
BrowserGoogle Chrome
PHP VersionPHP 5.6.29
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0026614)
fman (administrator)
2017-07-15 08:55

please describe in detailed for how you have done the configuration at testproject level, because if you have not linked testproject to issuetracker nothing will be work.
(0026616)
ns (reporter)
2017-07-15 12:05

The bug tracking configuration was missing at a test project level. I am not making the changes for that and re-trying the steps.
(0026618)
ns (reporter)
2017-07-16 16:08

I have added the bug tracking tool at the project level, but now I am getting the following error "Attention Please:
Something is preventing connection to Bug Tracking System,
and is going to create performance issues.
Please contact your TestLink Administrator"

I have checked in the Issue tracker management page and the connection shows KO.
(0026620)
fman (administrator)
2017-07-17 08:55

this ticket will be closed, because original issue have been solved.

Try looking for answers on forum.testlink.org.
Give a look to testlink logs also

- Issue History
Date Modified Username Field Change
2017-07-14 11:16 ns New Issue
2017-07-15 08:55 fman Note Added: 0026614
2017-07-15 08:55 fman QA Team - Task Workflow Status => TBD
2017-07-15 08:55 fman Priority urgent => normal
2017-07-15 08:55 fman Severity major => minor
2017-07-15 08:55 fman Status new => feedback
2017-07-15 12:05 ns Note Added: 0026616
2017-07-15 12:05 ns Status feedback => new
2017-07-16 16:08 ns Note Added: 0026618
2017-07-17 08:55 fman Note Added: 0026620
2017-07-17 08:55 fman Status new => closed
2017-07-17 08:55 fman Assigned To => fman
2017-07-17 08:55 fman Resolution open => no change required



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker